<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$id_bomba = $_POST['id_bomba'];


	$datos = " Ingresa a obtener_productos_carburantes de la bomba= ".$id_bomba;	
		insertarLog($datos,$id_aplicacion);

	$sql = "select ";
	$sql .= "p.id_producto,";
	$sql .= "p.nombre,";
	$sql .= "ifnull(m.id_bomba,0) id_bomba ";
	$sql .= "from ";
	$sql .= "productos p ";
	$sql .= "left join (select id_producto,id_bomba from mangueras where id_bomba=".$id_bomba.") m on m.id_producto=p.id_producto ";
	$sql .= "where ";
	$sql .= "p.clase=1 ";
	$sql .= "order by p.id_producto ";
	
	$sentencia = $conexion->prepare($sql);
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$cont=0;

	while($fila = $resultado->fetch_assoc())
	{
		$producto['id_producto'] = $fila['id_producto'];
		$producto['nombre'] = $fila['nombre'];
		$producto['id_bomba'] = $fila['id_bomba'];
		$array[$cont] = $producto;
		$cont++;
	}

	$datos = " Se obtuvo informacion de producto carburantes ";	
		insertarLog($datos,$id_aplicacion);

	echo json_encode($array,JSON_UNESCAPED_UNICODE);
	$sentencia->close();
	$conexion->close();

?>